Skip to main content
Dataworld, authorized IT and AV reseller in Canada
Menu

Shop by Department

Software & Services

Language
Zyxel GS1915-8EP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1915-8EP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1915-8EP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel GS1915-8EP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black product photo
Zyxel

Zyxel GS1915-8EP network switch Managed L2 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Black

Zyxel GS1915-8EP, Managed, L2, Gigabit Ethernet (10/100/1000), Full duplex, Power over Ethernet (PoE)

Part NumberGS1915-8EP
UPC760559128555

MSRP

$252.22

Public MSRP in CAD. Your quoted price comes from an account manager.

Available to Order
Quantity

Get your price from a Dataworld account manager.

View Your Quote Request
Paste your parts list or upload a CSV

Talk to Us(514) 738-6350

  • Canadian-owned since 1979
  • Authorized reseller of every brand we carry
  • Public MSRP
  • English and French
  • For Canadian businesses

Overview

Zyxel GS1915-8EP. Switch type: Managed, Switch layer: L2. Basic switching RJ-45 Ethernet ports type: Gigabit Ethernet (10/100/1000), Basic switching RJ-45 Ethernet ports quantity: 8. Full duplex. MAC address table: 8000 entries, Switching capacity: 16 Gbit/s. Networking standards: IEEE 802.1Q, IEEE 802.1p, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE.... Power connector: AC-in jack. Power over Ethernet (PoE)

Explore More

Specifications

Switch type
Managed
Switch layer
L2
Quality of Service (QoS) support
Yes
Web-based management
Yes
System event log
Yes
MIB support
RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493

Buying from Dataworld

  • A competitive CAD quote from a Dataworld account manager.
  • Montreal-based, serving Canadian businesses in English and French.

MSRP

$252.22